#!/bin/sh
#
# AARR run script
# 
# $Id: run_aarr.sh,v 1.3 2005/06/01 11:10:08 macias Exp $

# version & libdir

AARR_VERSION=0.2.1
LIBDIR=support-libs

echo
echo "AA-RR run script"
echo "------------------------"

if [ "$JAVA_HOME" = "" ] ; then
    echo "ERROR: JAVA_HOME not found in your environment."
    echo
    echo "Please, set the JAVA_HOME variable in your environment to match the"
    echo "location of the Java Virtual Machine you want to use."
    exit 1
fi

# OS specific support.  $var _must_ be set to either true or false.
cygwin=false;
case "`uname`" in
    CYGWIN*) cygwin=true ;;
esac

# For Cygwin, ensure paths are in UNIX format before anything is touched
if $cygwin ; then
    [ -n "$JAVA_HOME" ] &&
    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
fi


ANT_HOME="$LIBDIR"
LOCALCLASSPATH="$JAVA_HOME/lib/tools.jar:$JAVA_HOME/lib/classes.zip"
LOCALCLASSPATH="$LOCALCLASSPATH:$LIBDIR/ant.jar"
LOCALCLASSPATH="$LOCALCLASSPATH:$LIBDIR/bin/xjavac.jar"
LOCALCLASSPATH="$LOCALCLASSPATH:$LIBDIR/log4j-1.2.5.jar"
LOCALCLASSPATH="$LOCALCLASSPATH:$LIBDIR/xmlsec-1.2.1.jar"
LOCALCLASSPATH="$LOCALCLASSPATH:$LIBDIR/xalan-2.4.1.jar"
LOCALCLASSPATH="$LOCALCLASSPATH:$LIBDIR/servlet-2.3.jar"
LOCALCLASSPATH="$LOCALCLASSPATH:$LIBDIR/commons-logging.jar"
LOCALCLASSPATH="$LOCALCLASSPATH:$LIBDIR/opensaml.jar"

# this must be cleaned
LOCALCLASSPATH="$LOCALCLASSPATH:dist/aarr-$VERSION.jar"


# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
    LOCALCLASSPATH=`cygpath --path --windows "$LOCALCLASSPATH"`
fi

echo
echo Running with classpath $LOCALCLASSPATH
echo Running AARR ...
echo

"$JAVA_HOME"/bin/java -Dant.home="$ANT_HOME" -classpath "$LOCALCLASSPATH" es.rediris.aarr.AARRMain $@ 
