/*
 * Class: DataUnit
 *
 * $Id: DataUnit.java,v 1.1 2005/05/26 12:22:22 macias Exp $
 */
package es.rediris.aarr.protocol.saml;


/**
 * This class implements a DataUnit object. It contains two objects within (a packet an a peer) and
 * different methods to set up and access these objetcs.
 *
 * @author kan
 */
public class DataUnit {
    /** A packet <code>Object</code> */
    Object packet;

    /** A peer <code>Object</code> */
    Object peer;

    /** Unique constructor
      @param peer A peer object
      @param query A packet object */
    public DataUnit(Object peer, Object query) {
        this.peer = peer;
        this.packet = query;
    }

    /** Returns the peer in this DataUnit Object
      @return the object containing the peer */
    public Object getPeer() {
        return peer;
    }

    /** Sets a new (different) peer for this Object (replaces the previous existing one)
    @param peer is the new peer */
    public void setPeer(Object peer) {
        this.peer = peer;
    }

    /** Returns the packet object in this DataUnit Object
     @return the object containing the packet */
    public Object getPacket() {
        return packet;
    }

    /** Sets a new (different) packet for this Object
    @param query is the new packet */
    public void setPacket(Object query) {
        this.packet = query;
    }
}
